'use strict';

var UNIFY_REQUEST_BASE_TOPIC = 'apconic/unify/request';
var UNIFY_RESPONSE_BASE_TOPIC = 'apconic/unify/response';
var NOTIFICATION_POST_TOPIC = 'apconic/unify/notifier';
var UNIFY_CONNECTOR_TOPIC = 'apconic/unify/connector';
var CODE_VALUE_UPDATE_TOPIC = 'apconic/goodsmon/codevalue/update';
var LIST_VALUE_UPDATE_TOPIC = 'apconic/goodsmon/listvalue/update';
var CONTROLIFY_COMMAND_POST_TOPIC = 'apconic/controlify/execute';
var CONTROLIFY_EVENT_POST_TOPIC = 'apconic/goodsmon/tag/event';
var CONTROLIFY_EVENT_RESPONSE_TOPIC = 'apconic/goodsmon/tag/event/response';
var UNIFY_CONNECTOR_ERROR_DEF_TOPIC = 'apconic/unify/connectors/error';
var UNIFY_ADAPTER_ERROR_DEF_TOPIC = 'apconic/unify/response/0';
var CONTROLIFY_RFID_REQ_TOPIC = 'apconic/controlify/rfid';
var CONTROLIFY_RFID_RES_BASE_TOPIC = 'apconic/controlify/rfid/response';
var CONTROLIFY_RFID_ERROR_DEF_TOPIC = 'apconic/controlify/rfid/response/0';
var CONTROLIFY_DISPLAY_TEXT_POST_TOPIC = 'apconic/controlify/display/request';
var CONTROLIFY_DISPLAY_BY_LOCATION_REQ_PREFIX = 'apconic/controlify/display/request/location';
var CONTROLIFY_DISPLAY_BY_LOCATION_RES_PREFIX = 'apconic/controlify/display/response/location';
var TARE_WEIGHT_EXPIRY_TOPIC = 'apconic/goodsmon/vehicles/cleartareweight';
var RESPONSE_FOR_RAKE_MANAGEMENT = 'apconic/rakeManagement/trip/response';

var MqttTopics = {
  UNIFY_REQUEST_BASE_TOPIC: UNIFY_REQUEST_BASE_TOPIC,
  UNIFY_RESPONSE_BASE_TOPIC: UNIFY_RESPONSE_BASE_TOPIC,
  CODE_VALUE_UPDATE_TOPIC: CODE_VALUE_UPDATE_TOPIC,
  LIST_VALUE_UPDATE_TOPIC: LIST_VALUE_UPDATE_TOPIC,
  NOTIFICATION_POST_TOPIC: NOTIFICATION_POST_TOPIC,
  CONTROLIFY_COMMAND_POST_TOPIC: CONTROLIFY_COMMAND_POST_TOPIC,
  CONTROLIFY_EVENT_POST_TOPIC: CONTROLIFY_EVENT_POST_TOPIC,
  CONTROLIFY_EVENT_RESPONSE_TOPIC: CONTROLIFY_EVENT_RESPONSE_TOPIC,
  UNIFY_CONNECTOR_TOPIC: UNIFY_CONNECTOR_TOPIC,
  UNIFY_CONNECTOR_ERROR_DEF_TOPIC: UNIFY_CONNECTOR_ERROR_DEF_TOPIC,
  UNIFY_ADAPTER_ERROR_DEF_TOPIC: UNIFY_ADAPTER_ERROR_DEF_TOPIC,
  CONTROLIFY_RFID_REQ_TOPIC: CONTROLIFY_RFID_REQ_TOPIC,
  CONTROLIFY_RFID_RES_BASE_TOPIC: CONTROLIFY_RFID_RES_BASE_TOPIC,
  CONTROLIFY_RFID_ERROR_DEF_TOPIC: CONTROLIFY_RFID_ERROR_DEF_TOPIC,
  CONTROLIFY_DISPLAY_TEXT_POST_TOPIC: CONTROLIFY_DISPLAY_TEXT_POST_TOPIC,
  CONTROLIFY_DISPLAY_BY_LOCATION_REQ_PREFIX: CONTROLIFY_DISPLAY_BY_LOCATION_REQ_PREFIX,
  CONTROLIFY_DISPLAY_BY_LOCATION_RES_PREFIX: CONTROLIFY_DISPLAY_BY_LOCATION_RES_PREFIX,
  TARE_WEIGHT_EXPIRY_TOPIC: TARE_WEIGHT_EXPIRY_TOPIC,
  RESPONSE_FOR_RAKE_MANAGEMENT: RESPONSE_FOR_RAKE_MANAGEMENT
};

module.exports = { MqttTopics: MqttTopics };